Summary: SILC Client Library
Name: libsilc
Version: 0.9.12
Release: 1
License: GPL
Group: System/Libraries
URL: http://www.silcnet.org/
Source0: silc-toolkit-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Epoch: 0
Packager: Toni Willberg <toniw@iki.fi>
%description
SILC Client Library libraries for SILC clients.

%package devel
Summary: Headers and shared libraries for %{name}
Group: Development/Libraries
Requires: libsilc = %{version}-%{release}

%description devel
Development libraries and headers of SILC Client Library for SILC clients.

%prep
%setup -q -n silc-toolkit-%{version}

%build
rm -rf $RPM_BUILD_ROOT

%configure --without-irssi --without-silcd --libdir=%{_libdir}/silc --enable-shared --includedir=%{_includedir}/silc --with-simdir=%{_datadir}/silc/modules --with-docdir=%{_docdir}/silc
make
libtool --finish %{_libdir}/silc

%install
make DESTDIR=$RPM_BUILD_ROOT install
# Get rid of unnecessary docs and examples of SILC Toolkit, they do not need to be here
# Just copy the licence file to safe place first
mv $RPM_BUILD_ROOT/%{_docdir}/silc/COPYING $RPM_BUILD_ROOT/
rm -rf $RPM_BUILD_ROOT/%{_docdir}/silc
mkdir $RPM_BUILD_ROOT/%{_docdir}/silc
mv $RPM_BUILD_ROOT/COPYING $RPM_BUILD_ROOT/%{_docdir}/silc/
rm -rf $RPM_BUILD_ROOT/etc
rm -rf $RPM_BUILD_ROOT/usr/share/man
rm -rf $RPM_BUILD_ROOT/usr/tutorial

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644, root, root, 0755)
%{_libdir}/silc/libsilc-1.0.so.2
%{_libdir}/silc/libsilc-1.0.so.2.1.0
%{_libdir}/silc/libsilcclient-1.0.so.2
%{_libdir}/silc/libsilcclient-1.0.so.2.1.0
%{_datadir}/silc/modules/*.so
%{_docdir}/silc/COPYING

%files devel
%defattr(0644, root, root, 0755)
%{_libdir}/silc/libsilc.so
%{_libdir}/silc/libsilc.a
%{_libdir}/silc/libsilc.la
%{_libdir}/silc/libsilcclient.so
%{_libdir}/silc/libsilcclient.a
%{_libdir}/silc/libsilcclient.la
%{_includedir}/silc/*.h

%changelog
* Thu Mar 4 2004 Toni Willberg <toniw@iki.fi>
- Toolkit version 0.9.12

* Sat Dec 13 2003 Toni Willberg <toniw@iki.fi>
- Toolkit version 0.9.11
