/*
 all key-related stuff lives here
*/

#ifdef SILKY_WIN32
#define DIR_SEPARATOR '\\'
#else
#define DIR_SEPARATOR '/'
#endif

typedef struct {
  gchar *name;
  gchar *email;
  gchar *passphrase;
  gint length;
  gchar *cipher;
  gchar *identifier;
  gboolean ready; /* keygen makes this TRUE when the key is generated */
} SilkySilcKey;


void silky_keygen (SilkySilcKey *key);
gboolean silky_check_dir_for_key(const char *dir, SilcPublicKey pkey);
gboolean silc_save_public_key(SilcClient client, SilcClientConnection conn,
                                const char *name, SilcSocketType conn_type, 
                                unsigned char *pk, SilcUInt32 pk_len, 
                                SilcSKEPKType pk_type,
                                SilcVerifyPublicKey completion, void *context);

gint silky_keygen_ui ();
