struct server_t {
  struct server_t 	*next;
  gchar			*hostname;	/* the hostname of a server */
  gint			port;		/* tcp port */
  gboolean		ipv6;		/* if FALSE, it's ipv4 */
  gchar			*fingerprint;   /* fignerprint of the server */
};

typedef struct server_t SilkyServer;

gboolean init_servers(gchar *serverspath);
gboolean parse_servers();

SilkyServer *server_find_by_hostport(gchar *host, gint port);
SilkyServer *server_add(gchar *host, gint port);
