#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif
#include <string.h>

#include <sys/stat.h>
#include <sys/types.h>
#include <dirent.h>

#include <libxml/parser.h>
#include <libxml/xpath.h>
#include <glib.h>
#include <glib/gprintf.h>
#include <glade/glade.h>
#include <gtk/gtk.h>

#include <errno.h>
#include <sys/stat.h>
#include <sys/types.h>
#include <fcntl.h>
#include <getopt.h>

/* We use stuff provided by SILC Toolkit */
#include "silcincludes.h"
#include "silcclient.h"

#include "channel.h"
#include "query.h"
#include "commands.h"
#include "cmdhistory.h"


#include "silc-notify.h"
#include "gui.h"
#include "log.h"

/* silc client lib calls these */
#include "silccallbacks.h"

/* some of our support functions */
#include "support.h"

/* config files */
#include "xmlconfig.h"
#include "xmllayout.h"

/* UI callbacks */
#include "callbacks.h"

/* all preferences functions */
#include "preferences.h"

/* server list management */
#include "servers.h"

/* timer stuff */
#include "timer.h"

/* keys stuff :) */
#include "keys.h"

/* replies from silc commands */
#include "silc-command-reply.h"
